SDL_PixelFormatDetails Struct Reference

`#include <SDL_pixels.h>`

## Data Fields

SDL_PixelFormat | format
Uint8 | bits_per_pixel
Uint8 | bytes_per_pixel
Uint8 | padding [2]
Uint32 | Rmask
Uint32 | Gmask
Uint32 | Bmask
Uint32 | Amask
Uint8 | Rbits
Uint8 | Gbits
Uint8 | Bbits
Uint8 | Abits
Uint8 | Rshift
Uint8 | Gshift
Uint8 | Bshift
Uint8 | Ashift

## Detailed Description

Details about the format of a pixel.

Since
  This struct is available since SDL 3.2.0.

Definition at line 1154 of file SDL_pixels.h.

## Field Documentation

## Abits

Uint8 SDL_PixelFormatDetails::Abits

Definition at line 1167 of file SDL_pixels.h.

## Amask

Uint32 SDL_PixelFormatDetails::Amask

Definition at line 1163 of file SDL_pixels.h.

## Ashift

Uint8 SDL_PixelFormatDetails::Ashift

Definition at line 1171 of file SDL_pixels.h.

## Bbits

Uint8 SDL_PixelFormatDetails::Bbits

Definition at line 1166 of file SDL_pixels.h.

## bits_per_pixel

Uint8 SDL_PixelFormatDetails::bits_per_pixel

Definition at line 1157 of file SDL_pixels.h.

## Bmask

Uint32 SDL_PixelFormatDetails::Bmask

Definition at line 1162 of file SDL_pixels.h.

## Bshift

Uint8 SDL_PixelFormatDetails::Bshift

Definition at line 1170 of file SDL_pixels.h.

## bytes_per_pixel

Uint8 SDL_PixelFormatDetails::bytes_per_pixel

Definition at line 1158 of file SDL_pixels.h.

## format

SDL_PixelFormat SDL_PixelFormatDetails::format

Definition at line 1156 of file SDL_pixels.h.

## Gbits

Uint8 SDL_PixelFormatDetails::Gbits

Definition at line 1165 of file SDL_pixels.h.

## Gmask

Uint32 SDL_PixelFormatDetails::Gmask

Definition at line 1161 of file SDL_pixels.h.

## Gshift

Uint8 SDL_PixelFormatDetails::Gshift

Definition at line 1169 of file SDL_pixels.h.

## padding

Uint8 SDL_PixelFormatDetails::padding[2]

Definition at line 1159 of file SDL_pixels.h.

## Rbits

Uint8 SDL_PixelFormatDetails::Rbits

Definition at line 1164 of file SDL_pixels.h.

## Rmask

Uint32 SDL_PixelFormatDetails::Rmask

Definition at line 1160 of file SDL_pixels.h.

## Rshift

Uint8 SDL_PixelFormatDetails::Rshift

Definition at line 1168 of file SDL_pixels.h.

The documentation for this struct was generated from the following file:

- SDL_pixels.h